signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Enumerations
credentialsdb.h File Reference

Definition of the CredentialsDB object. More...

`#include <QObject>`
`#include <QtSql>`
`#include "SignOn/abstract-secrets-storage.h"`
`#include "signonidentityinfo.h"`
Include dependency graph for credentialsdb.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | SignonDaemonNS::CredentialsDB
| Manages the credentials I/O. More...

## Namespaces
| SignonDaemonNS

## Macros
#define | SSO_MAX_TOKEN_STORAGE (4*1024)

## Enumerations
enum | SignonDaemonNS::IdentityFlags { SignonDaemonNS::Validated = 0x0001, SignonDaemonNS::RememberPassword = 0x0002, SignonDaemonNS::UserNameIsSecret = 0x0004 }
| Flags to be stored into database. More...

## Detailed Description

Definition of the CredentialsDB object.

Definition in file credentialsdb.h.

## Macro Definition Documentation

#define SSO_MAX_TOKEN_STORAGE (4*1024)

Definition at line 41 of file credentialsdb.h.

Referenced by SignonDaemonNS::SecretsDB::storeData().